AverageRelativeError
Statistical Functions

Primitives for computing the AverageRelative error between two signals. More...

## Functions

NppStatus | nppsAverageRelativeError_8u_Ctx (const Npp8u *pSrc1, const Npp8u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 8-bit unsigned char AverageRelative method. More...
NppStatus | nppsAverageRelativeError_8u (const Npp8u *pSrc1, const Npp8u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_8s_Ctx (const Npp8s *pSrc1, const Npp8s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 8-bit signed char AverageRelative method. More...
NppStatus | nppsAverageRelativeError_8s (const Npp8s *pSrc1, const Npp8s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_16u_Ctx (const Npp16u *pSrc1, const Npp16u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit unsigned short integer AverageRelative method. More...
NppStatus | nppsAverageRelativeError_16u (const Npp16u *pSrc1, const Npp16u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_16s_Ctx (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer AverageRelative method. More...
NppStatus | nppsAverageRelativeError_16s (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_16sc_Ctx (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit unsigned short complex integer AverageRelative method. More...
NppStatus | nppsAverageRelativeError_16sc (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_32u_Ctx (const Npp32u *pSrc1, const Npp32u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit unsigned short integer AverageRelative method. More...
NppStatus | nppsAverageRelativeError_32u (const Npp32u *pSrc1, const Npp32u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_32s_Ctx (const Npp32s *pSrc1, const Npp32s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit signed short integer AverageRelative method. More...
NppStatus | nppsAverageRelativeError_32s (const Npp32s *pSrc1, const Npp32s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_32sc_Ctx (const Npp32sc *pSrc1, const Npp32sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit unsigned short complex integer AverageRelative method. More...
NppStatus | nppsAverageRelativeError_32sc (const Npp32sc *pSrc1, const Npp32sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_64s_Ctx (const Npp64s *pSrc1, const Npp64s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit signed short integer AverageRelative method. More...
NppStatus | nppsAverageRelativeError_64s (const Npp64s *pSrc1, const Npp64s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_64sc_Ctx (const Npp64sc *pSrc1, const Npp64sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit unsigned short complex integer AverageRelative method. More...
NppStatus | nppsAverageRelativeError_64sc (const Npp64sc *pSrc1, const Npp64sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_32f_Ctx (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit floating point AverageRelative method. More...
NppStatus | nppsAverageRelativeError_32f (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_32fc_Ctx (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit floating point complex AverageRelative method. More...
NppStatus | nppsAverageRelativeError_32fc (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_64f_Ctx (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit floating point AverageRelative method. More...
NppStatus | nppsAverageRelativeError_64f (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeError_64fc_Ctx (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit floating point complex AverageRelative method. More...
NppStatus | nppsAverageRelativeError_64fc (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsAverageRelativeErrorGetBufferSize_8u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_8u. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_8u (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_8s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_8s. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_8s (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_16u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_16u. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_16u (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_16s. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_16sc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_16sc. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_16sc (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_32u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_32u. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_32u (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_32s. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_32sc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_32sc. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_32sc (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_64s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_64s. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_64s (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_64sc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_64sc. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_64sc (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_32f. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_32fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_32fc. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_32fc (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_64f. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsAverageRelativeErrorGetBufferSize_64fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsAverageRelativeError_64fc. More...
NppStatus | nppsAverageRelativeErrorGetBufferSize_64fc (int nLength, int *hpBufferSize)

## Detailed Description

Primitives for computing the AverageRelative error between two signals.

Given two signals and both with length , the average relative error is defined as

If the signal is in complex format, the absolute value of the complex number is used.

## Function Documentation

NppStatus nppsAverageRelativeError_16s | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_16s_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_16sc | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_16sc_Ctx | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short complex integer AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_16sc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_16u | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_16u_Ctx | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short integer AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_16u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_32f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_32f_Ctx | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_32fc | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_32fc_Ctx | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_32fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_32s | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_32s_Ctx | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed short integer AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_32sc | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_32sc_Ctx | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned short complex integer AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_32sc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_32u | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_32u_Ctx | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned short integer AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_32u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_64f | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_64f_Ctx | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_64fc | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_64fc_Ctx | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_64fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_64s | ( | const Npp64s * | pSrc1,
|  | const Npp64s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_64s_Ctx | ( | const Npp64s * | pSrc1,
|  | const Npp64s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit signed short integer AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_64s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_64sc | ( | const Npp64sc * | pSrc1,
|  | const Npp64sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_64sc_Ctx | ( | const Npp64sc * | pSrc1,
|  | const Npp64sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit unsigned short complex integer AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_64sc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_8s | ( | const Npp8s * | pSrc1,
|  | const Npp8s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_8s_Ctx | ( | const Npp8s * | pSrc1,
|  | const Npp8s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit signed char AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_8s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeError_8u | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsAverageRelativeError_8u_Ctx | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char AverageRelative method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsAverageRelativeErrorGetBufferSize_8u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAverageRelativeErrorGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_16sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_16sc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_16sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_16u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_16u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_16u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_32fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_32sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_32sc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_32sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_32u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_32u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_32u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_64fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_64s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_64s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_64s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_64sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_64sc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_64sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_8s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_8s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_8s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsAverageRelativeErrorGetBufferSize_8u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsAverageRelativeErrorGetBufferSize_8u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsAverageRelativeError_8u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2018 NVIDIA Corporation